match.c patch for 75% mIRC correction.
                  25% hybrid IRCD upper/lower case equivalent
                  character defining without following through
                  with RFC1459 standards.
 
-By Cody Tubbs (loophole of hhp).
 pigspigs@yahoo.com
 www.hhp-programming.net

-5.22.2000 8:06:26am CST.

This  patch  corrects  the  upper/lower  case equivalent character
defining that is still used in hybrid(EFnet) IRCD which consist of
{}|~  being the lowercase equivalents of []\^.  This patch defines
each  character  as  its  own which results in the patching of the
'channel-spy bug'  found mid year of 99.  DALnet IRCD doesn't have
this problem.
 
RFC1459 chapter 2.2 says:
-   Because of IRC's scandanavian origin, the characters {}| are
-   considered to be the lower case equivalents of the characters []\
 
Note: RFC1459 doesn't mention '~' and '^', which shouldn't be
      considered equivalent by the server.
 
=====================================================================
Apply by moving match.c.patch into your src directory and:
   patch -p1 < match.c.patch
   ../make
   ../make install
   killall -9 ircd
   ../../ircd
=====================================================================
--- old/match.c Mon May 22 05:40:22 2000
+++ new/match.c Mon May 22 05:39:33 2000
@@ -219,7 +219,7 @@
   '_',
   '`', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i',
   'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's',
-  't', 'u', 'v', 'w', 'x', 'y', 'z', '{', '|', '}', '~',
+  't', 'u', 'v', 'w', 'x', 'y', 'z', '[', '\\', ']', '^',
   0x7f,
   0x80, 0x81, 0x82, 0x83, 0x84, 0x85, 0x86, 0x87, 0x88, 0x89,
   0x8a, 0x8b, 0x8c, 0x8d, 0x8e, 0x8f,
@@ -250,7 +250,7 @@
   ':', ';', '<', '=', '>', '?',
   '@', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I',
   'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S',
-  'T', 'U', 'V', 'W', 'X', 'Y', 'Z', '[', '\\', ']', '^',
+  'T', 'U', 'V', 'W', 'X', 'Y', 'Z', '{', '|', '}', '~',
   0x5f,
   '`', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I',
   'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S',